import 'package:garage/car/service/car_service.dart';
import 'package:garage/user/service/user_service.dart';
import 'package:get_it/get_it.dart';

import '../car/model/car.dart';
import '../user/model/car_user.dart';

class IocContainer {
  static void setup() {
    GetIt.instance.registerSingleton(
        CarService(collectionName: 'cars', fromJson: Car.fromJson));
    GetIt.instance.registerSingleton(
        UserService(collectionName: 'users', fromJson: CarUser.fromJson));
  }
}
